/***************************************************************************
 *   Copyright (C) 2004 by Teemu Rytilahti                                 *
 *   tpr@d5k.net                                                           *
 *                                                                         *
 *   Licensed under GPL.                                                   *
 ***************************************************************************/

#ifndef KONQFEEDICON_H
#define KONQFEEDICON_H

#include <kparts/plugin.h>

/**
@author Teemu Rytilahti
*/
class KURLLabel;
class KHTMLPart;
class QStringList;

namespace KParts {
    class StatusBarExtension;
}

class KonqFeedIcon : public KParts::Plugin
{
    Q_OBJECT
public:
    KonqFeedIcon(QObject *parent, const char *name, const QStringList &);

    ~KonqFeedIcon();
    
private:
    bool feedFound();
    
    KHTMLPart *m_part;
    KURLLabel *m_feedIcon;
    KParts::StatusBarExtension *m_statusBarEx;
    QStringList m_feedList;
    
protected:
    QString fixRelativeURL(const QString &s, const KURL &baseurl);
       
private slots:
    void waitPartToLoad();
    void contextMenu();
    void addFeedIcon();
    void removeFeedIcon();
    void addFeed();

};

#endif
